/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Link information to get provider&#39;s information.
 */
@ApiModel(description = "Link information to get provider's information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model229 {
  @SerializedName("provider_id")
  private String providerId = null;

  @SerializedName("url")
  private String url = null;

  public Model229 providerId(String providerId) {
    this.providerId = providerId;
    return this;
  }

   /**
   * Provider unique id
   * @return providerId
  **/
  @ApiModelProperty(example = "12345", required = true, value = "Provider unique id")
  public String getProviderId() {
    return providerId;
  }

  public void setProviderId(String providerId) {
    this.providerId = providerId;
  }

  public Model229 url(String url) {
    this.url = url;
    return this;
  }

   /**
   * HATEOAS link to get provider information.
   * @return url
  **/
  @ApiModelProperty(example = "https://rest.axa-assistance.com/service/vexp/roadside_providers/12345", required = true, value = "HATEOAS link to get provider information.")
  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model229 model229 = (Model229) o;
    return Objects.equals(this.providerId, model229.providerId) &&
        Objects.equals(this.url, model229.url);
  }

  @Override
  public int hashCode() {
    return Objects.hash(providerId, url);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model229 {\n");
    
    sb.append("    providerId: ").append(toIndentedString(providerId)).append("\n");
    sb.append("    url: ").append(toIndentedString(url)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

